summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 13:32:21 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 13:32:21 +0000
commita061471f450a2efc60371f90ac9483c8ed4375fd (patch)
tree640c3865c87f5e32bf0e98aac1edb0221c96c39c /testsuite
parentInitial commit. (diff)
downloadlzlib-a061471f450a2efc60371f90ac9483c8ed4375fd.tar.xz
lzlib-a061471f450a2efc60371f90ac9483c8ed4375fd.zip
Adding upstream version 0.3.upstream/0.3
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rw-r--r--testsuite/COPYING.lzbin0 -> 11540 bytes
-rwxr-xr-xtestsuite/check.sh67
2 files changed, 67 insertions, 0 deletions
diff --git a/testsuite/COPYING.lz b/testsuite/COPYING.lz
new file mode 100644
index 0000000..a09b1e8
--- /dev/null
+++ b/testsuite/COPYING.lz
Binary files differ
diff --git a/testsuite/check.sh b/testsuite/check.sh
new file mode 100755
index 0000000..b4ee42f
--- /dev/null
+++ b/testsuite/check.sh
@@ -0,0 +1,67 @@
+#! /bin/sh
+# check script for Lzlib - A compression library for lzip files
+# Copyright (C) 2009 Antonio Diaz Diaz.
+#
+# This script is free software: you have unlimited permission
+# to copy, distribute and modify it.
+
+objdir=`pwd`
+testdir=`cd "$1" ; pwd`
+LZIP="${objdir}"/minilzip
+framework_failure() { echo 'failure in testing framework'; exit 1; }
+
+if [ ! -x "${LZIP}" ] ; then
+ echo "${LZIP}: cannot execute"
+ exit 1
+fi
+
+if [ -d tmp ] ; then rm -r tmp ; fi
+mkdir tmp
+echo -n "testing minilzip..."
+cd "${objdir}"/tmp
+
+cat "${testdir}"/../COPYING > in || framework_failure
+fail=0
+
+"${LZIP}" -cd "${testdir}"/COPYING.lz > copy || fail=1
+cmp in copy || fail=1
+
+for i in 1 2 3 4 5 6 7 8 9; do
+ "${LZIP}" -k -$i in || fail=1
+ mv -f in.lz copy.lz || fail=1
+ echo -n "garbage" >> copy.lz || fail=1
+ "${LZIP}" -df copy.lz || fail=1
+ cmp in copy || fail=1
+ echo -n .
+done
+
+for i in 1 2 3 4 5 6 7 8 9; do
+ "${LZIP}" -c -$i in > out || fail=1
+ echo -n "g" >> out || fail=1
+ "${LZIP}" -cd out > copy || fail=1
+ cmp in copy || fail=1
+ echo -n .
+done
+
+for i in 1 2 3 4 5 6 7 8 9; do
+ "${LZIP}" -c -$i < in > out || fail=1
+ "${LZIP}" -d < out > copy || fail=1
+ cmp in copy || fail=1
+ echo -n .
+done
+
+for i in 1 2 3 4 5 6 7 8 9; do
+ "${LZIP}" -f -$i -o out < in || fail=1
+ "${LZIP}" -df -o copy < out.lz || fail=1
+ cmp in copy || fail=1
+ echo -n .
+done
+
+echo
+if test ${fail} = 0; then
+ echo "tests completed successfully."
+ if cd "${objdir}" ; then rm -r tmp ; fi
+else
+ echo "tests failed."
+fi
+exit ${fail}